Package com.io7m.jregions.core.conversions

# Class AreaSizeConversions

java.lang.Object
com.io7m.jregions.core.conversions.AreaSizeConversions

public final class AreaSizeConversions extends Object
Functions to convert between area types.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <S> AreaSizeBD`
  `toAreaSizeBD(PAreaSizeBD<S> a)`
  Convert an area size.
  `static <S> AreaSizeBI`
  `toAreaSizeBI(PAreaSizeBI<S> a)`
  Convert an area size.
  `static <S> AreaSizeD`
  `toAreaSizeD(PAreaSizeD<S> a)`
  Convert an area size.
  `static <S> AreaSizeF`
  `toAreaSizeF(PAreaSizeF<S> a)`
  Convert an area size.
  `static <S> AreaSizeI`
  `toAreaSizeI(PAreaSizeI<S> a)`
  Convert an area size.
  `static <S> AreaSizeL`
  `toAreaSizeL(PAreaSizeL<S> a)`
  Convert an area size.
  `static <S> PAreaSizeBD<S>`
  `toPAreaSizeBD(AreaSizeBD a)`
  Convert an area size.
  `static <S> PAreaSizeBI<S>`
  `toPAreaSizeBI(AreaSizeBI a)`
  Convert an area size.
  `static <S> PAreaSizeD<S>`
  `toPAreaSizeD(AreaSizeD a)`
  Convert an area size.
  `static <S> PAreaSizeF<S>`
  `toPAreaSizeF(AreaSizeF a)`
  Convert an area size.
  `static <S> PAreaSizeI<S>`
  `toPAreaSizeI(AreaSizeI a)`
  Convert an area size.
  `static <S> PAreaSizeL<S>`
  `toPAreaSizeL(AreaSizeL a)`
  Convert an area size.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toAreaSizeI

    public static <S> AreaSizeI toAreaSizeI(PAreaSizeI<S> a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toAreaSizeL

    public static <S> AreaSizeL toAreaSizeL(PAreaSizeL<S> a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toAreaSizeD

    public static <S> AreaSizeD toAreaSizeD(PAreaSizeD<S> a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toAreaSizeF

    public static <S> AreaSizeF toAreaSizeF(PAreaSizeF<S> a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toAreaSizeBD

    public static <S> AreaSizeBD toAreaSizeBD(PAreaSizeBD<S> a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toAreaSizeBI

    public static <S> AreaSizeBI toAreaSizeBI(PAreaSizeBI<S> a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toPAreaSizeI

    public static <S> PAreaSizeI<S> toPAreaSizeI(AreaSizeI a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toPAreaSizeL

    public static <S> PAreaSizeL<S> toPAreaSizeL(AreaSizeL a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toPAreaSizeD

    public static <S> PAreaSizeD<S> toPAreaSizeD(AreaSizeD a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toPAreaSizeF

    public static <S> PAreaSizeF<S> toPAreaSizeF(AreaSizeF a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toPAreaSizeBD

    public static <S> PAreaSizeBD<S> toPAreaSizeBD(AreaSizeBD a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size

  - ### toPAreaSizeBI

    public static <S> PAreaSizeBI<S> toPAreaSizeBI(AreaSizeBI a)
    Convert an area size.
    Type Parameters:
      `S` - A phantom type parameter indicating the coordinate space of the area size
    Parameters:
      `a` - The area size
    Returns:
      An area size